package com.bonus.canteen.core.nutrition.device.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class PersonalNutritionAnalyseDTO implements Serializable {
   @ApiModelProperty("卡序列号")
   private String serialNum;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("查询范围(1-当日查询,2-当周查询)")
   private @NotNull(
   message = "{menu_analyse_scope_null}"
) Integer analyseScope;

   public String getSerialNum() {
      return this.serialNum;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getAnalyseScope() {
      return this.analyseScope;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setAnalyseScope(final Integer analyseScope) {
      this.analyseScope = analyseScope;
   }

}
